> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.linestyle.md).

# LineStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the border style of a control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum LineStyle : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum LineStyle As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description          |
| ---------- | -------------------- |
| **Dashed** | A dashed line.       |
| **Dotted** | A dotted line.       |
| **Double** | A double solid line. |
| **None**   | No line.             |
| **Solid**  | A solid line.        |

## Used By

| Name                                                                                                                 | Description                                                                                                                                    |
| -------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| [Line.LineStyle](/api/wisej.web/content/wisej.web.line.md#linestyle)                                                 | Indicates the [LineStyle](/api/wisej.web/enumerations/wisej.web.linestyle.md) of the [Line](/api/wisej.web/content/wisej.web.line.md) control. |
| [LineExtensions.LineStyle](/api/wisej.web.markup/extensions/wisej.web.markup.lineextensions.md#linestyle-line-style) | Sets the LineStyle property of the specified [Line](/api/wisej.web/content/wisej.web.line.md).                                                 |
| [Border.Style](/api/wisej.web/content/shape/wisej.web.shape.border.md#style)                                         | Indicates the style of the border.                                                                                                             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.linestyle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
